#

API Docs for: 1.5.0
Show: Inherited Protected Private Deprecated

# WebGLShaderManager Class

Defined in: `src/pixi/renderers/webgl/utils/WebGLShaderManager.js:5`
Module: PIXI

## Constructor

### `WebGLShaderManager`

(

- `gl`

)
private

Defined in `src/pixi/renderers/webgl/utils/WebGLShaderManager.js:5`

#### Parameters:

- `gl` WebGLContext

  the current WebGL drawing context

- Index
- Methods

## Item Index

### Methods

- activatePrimitiveShader
- activateShader
- deactivatePrimitiveShader
- destroy
- setAttribs
- setContext

## Methods

### `activatePrimitiveShader`

()

Defined in `src/pixi/renderers/webgl/utils/WebGLShaderManager.js:113`

Triggers the primitive shader

### `activateShader`

(

- `shader`

)

Defined in `src/pixi/renderers/webgl/utils/WebGLShaderManager.js:96`

Sets-up the given shader

#### Parameters:

- `shader` Object

  the shader that is going to be activated

### `deactivatePrimitiveShader`

()

Defined in `src/pixi/renderers/webgl/utils/WebGLShaderManager.js:127`

Disable the primitive shader

### `destroy`

()

Defined in `src/pixi/renderers/webgl/utils/WebGLShaderManager.js:140`

Destroys

### `setAttribs`

(

- `attribs`

)

Defined in `src/pixi/renderers/webgl/utils/WebGLShaderManager.js:52`

Takes the attributes given in parameters

#### Parameters:

- `attribs` Array

  attribs

### `setContext`

(

- `gl`
- `transparent`

)

Defined in `src/pixi/renderers/webgl/utils/WebGLShaderManager.js:28`

Initialises the context and the properties

#### Parameters:

- `gl` WebGLContext

  the current WebGL drawing context

- `transparent` Boolean

  Whether or not the drawing context should be transparent